Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.exec
Interface SessionExt

All Superinterfaces:
  Session

All Known Implementing Classes:
  BasicSession

    public interface SessionExt

extends Session

Extention to the Session interface. It contains a number of methods to prevent the behavior user gets used to. Hopefully, some day this interface will be eliminated...

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.javatest.exec.Session
`Session.Event, Session.Fault, Session.Observer, Session.Update`

Method Summary
`InterviewParameters` | `getInterviewParameters()` Returns InterviewParameters object, most likely the same object as getParamaters() According to the original idea there should not be such method in this interface, getParameters() should be enough.
`WorkDirectory` | `getWorkDirectory()` Returns work directory assigned to the session.
`void` | `loadInterviewFromFile(WorkDirectory wd, java.io.File jti)` Loads interview from a given file and associates it with a given working directory.
`void` | `reloadInterview()` Reloads interview if out of date.

Methods inherited from interface com.sun.javatest.exec.Session
`addObserver, dispose, getParameters, getPropertyNames, getValue, isReady, notifyObservers, removeObserver, restore, save, update, update`

Method Detail

### getWorkDirectory

    WorkDirectory getWorkDirectory()

  Returns work directory assigned to the session.

  Returns:
    The current wd set.

### getInterviewParameters

    InterviewParameters getInterviewParameters()

  Returns InterviewParameters object, most likely the same object as getParamaters() According to the original idea there should not be such method in this interface, getParameters() should be enough. But JavaTest is not ready yet to not use InterviewParameters.

  Returns:
    an instance of InterviewParameters
  See Also:
    `Session.getParameters()`

### loadInterviewFromFile

    void loadInterviewFromFile(WorkDirectory wd,
                               java.io.File jti)
                               throws Session.Fault

  Loads interview from a given file and associates it with a given working directory.

  Parameters:
    `wd` -
    `jti` -
  Throws:
    `Session.Fault`

### reloadInterview

    void reloadInterview()
                         throws Session.Fault

  Reloads interview if out of date.

  Throws:
    `Session.Fault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.